Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Vaults - Purge Deleted
- Service:
- Key Vault
- API Version:
- 2024-11-01
Permanently deletes the specified vault. aka Purges the deleted Azure key vault.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.KeyVault/locations/{location}/deletedVaults/{vaultName}/purge?api-version=2024-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The location of the soft-deleted vault. |
|
subscriptionId
|
path | True |
string |
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
vaultName
|
path | True |
string |
The name of the soft-deleted vault. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The vault is purged. |
|
| 202 Accepted |
Vault is being purged. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
Purge a deleted vault
Sample request
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/locations/westus/deletedVaults/sample-vault/purge?api-version=2024-11-01
Sample response
- Status code:
- 200
- Status code:
- 202
Location: https://some.endpoint.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/kv-group/providers/Microsoft.KeyVault/vaults/vault1?api-version=2024-11-01
Definitions
| Name | Description |
|---|---|
| CloudError |
An error response from Key Vault resource provider |
| CloudErrorBody |
An error response from Key Vault resource provider |
CloudError
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| error |
An error response from Key Vault resource provider |
CloudErrorBody
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. This is a mnemonic that can be consumed programmatically. |
| message |
string |
User friendly error message. The message is typically localized and may vary with service version. |
